import 'package:rasadyar_chicken/presentation/pages/common/profile/logic.dart';
import 'package:rasadyar_chicken/presentation/pages/poultry_science/root/logic.dart';
import 'package:rasadyar_chicken/presentation/pages/steward/root/logic.dart';
import 'package:rasadyar_chicken/presentation/widget/search/logic.dart';
import 'package:rasadyar_core/core.dart';

import '../widget/base_page/logic.dart';

class GlobalBinding extends Bindings {
  @override
  void dependencies() {
    Get.put(BaseLogic(), permanent: true);

    Get.lazyPut(() => ProfileLogic(), fenix: true);
    Get.lazyPut(() => SearchLogic(), fenix: true);

    //root logics
  }
}
